> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relayai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get File Upload Url

> Get a presigned URL to upload a file for inference.

Returns a presigned URL that can be used to upload the file directly to S3.
After upload, call confirm endpoint to start processing.



## OpenAPI

````yaml post /api/v1/inference-jobs/{job_id}/files/upload-url
openapi: 3.1.0
info:
  title: Relay API
  description: Voice AI Artifact Detection Platform
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/inference-jobs/{job_id}/files/upload-url:
    post:
      tags:
        - inference
      summary: Get File Upload Url
      description: >-
        Get a presigned URL to upload a file for inference.


        Returns a presigned URL that can be used to upload the file directly to
        S3.

        After upload, call confirm endpoint to start processing.
      operationId: get_file_upload_url_api_v1_inference_jobs__job_id__files_upload_url_post
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Job Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InferenceFileCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InferenceFileUploadResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    InferenceFileCreate:
      properties:
        filename:
          type: string
          maxLength: 500
          minLength: 1
          title: Filename
        content_type:
          type: string
          title: Content Type
          default: audio/wav
        file_size_bytes:
          type: integer
          maximum: 524288000
          exclusiveMinimum: 0
          title: File Size Bytes
      type: object
      required:
        - filename
        - file_size_bytes
      title: InferenceFileCreate
      description: Request to add a file to inference job via presigned upload.
    InferenceFileUploadResponse:
      properties:
        file_id:
          type: string
          format: uuid
          title: File Id
        upload_url:
          type: string
          title: Upload Url
        upload_fields:
          additionalProperties: true
          type: object
          title: Upload Fields
        s3_key:
          type: string
          title: S3 Key
        expires_in:
          type: integer
          title: Expires In
      type: object
      required:
        - file_id
        - upload_url
        - upload_fields
        - s3_key
        - expires_in
      title: InferenceFileUploadResponse
      description: Response with presigned upload URL for inference file.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````